import pandas as pd

def mysql_query(sql,engine_sql):
    '''
    查询大量数据
    :param sql:
    :param engine_sql:查询器
    :return:dataframe
    '''
    res=[]
    #== palo 每次查询不超过10000
    tmp=pd.read_sql(sql,engine_sql,chunksize=5001)
    for tt in tmp:
        res.append(tt)
    return pd.concat(res)